Results 1 to 9 of 9

Thread: Ioncube loader for PHP 7 finally available

  1. #1
    Join Date
    Sep 2003
    Location
    The Netherlands
    Posts
    556

    Ioncube loader for PHP 7 finally available

    Yesterday, there has been a release for the Ioncube loaders which seem to support PHP 7 according to the changelog.
    Changelog for version 6.0.1: Support for PHP 7. The new PHP 7 ionCube Loaders will run files produced by the version 9 PHP 5.6 Encoder.


    Available from http://www.ioncube.com/loaders.php

    Hopefully this can be included in the custombuilder so everyone running PHP 7, can enjoy encoded applications again...

  2. #2
    Ioncube 6.0.1 added to files1.
    CustomBuild 2.0 updated, as changes to the script were required to allow php 7. (changed it to block "php 8", which doesn't exist)

    John

  3. #3
    Ioncube 6.0.2 added to files1.
    Fix for possible crash with obfuscated functions on PHP 7.
    John

  4. #4
    Join Date
    Aug 2017
    Posts
    7
    The ionCube loader for PHP 7.1 is also available?
    https://www.ioncube.com/news.php

  5. #5
    Join Date
    Apr 2009
    Posts
    2,035
    Yes, Ioncube loaders 10.0.0 has been released and does support PHP 7.1.x. It is already added to custombuild.

    However please note that ioncube encoded scripts will need to be encoded with the forthcoming version 10 ionCube PHP Encoder wich still is not released. So currently there is no ioncube encoded scripts that will work on PHP 7.1.x

    From https://www.ioncube.com/news.php
    Loader 10.0.0 released. These are loaders to run files produced by the forthcoming version 10 ionCube PHP Encoder. Included are loaders for PHP 7.1. Those will only run files produced by the version 10 encoder for PHP 7.1.

  6. #6
    Join Date
    Aug 2017
    Posts
    7
    It looks not yet available.

    Code:
    Executing /usr/local/directadmin/plugins/custombuild/admin/build ioncube.
    There is no ionCube loader available for PHP 7.1.
    ionCube loader 10.0.0 is now installed for PHP 5.6.
    Restarting php-fpm71.
    Gracefully shutting down php-fpm71: . done
    Starting php-fpm71:  done
    Restarting php-fpm56.
    Gracefully shutting down php-fpm56: . done
    Starting php-fpm56:  done
    There is no ionCube loader available for PHP 7.1.
    ionCube loader 10.0.0 is now installed for PHP 5.6.
    Restarting php-fpm71.
    Gracefully shutting down php-fpm71: . done
    Starting php-fpm71:  done
    Restarting php-fpm56.
    Gracefully shutting down php-fpm56: . done
    Starting php-fpm56:  done
    Done!

  7. #7
    Join Date
    Apr 2009
    Posts
    2,035
    DirectAdmin support must have forgot to remove the blocking of ioncube loaders for php 7.1.x in custombuild. I have sent them a email about it now.

  8. #8
    Join Date
    Apr 2009
    Posts
    2,035
    @Xenlost, Please do ./build update and try again, as it should be fixed in custombuild revision 1695

  9. #9
    Join Date
    Aug 2017
    Posts
    7
    Thank you. I can confirm that is available now.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •